#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0xbf9613e1, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xc02c209e, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x1c981f9e, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0xf747a57b, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0x940a61ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa7acc54f, "nvdimm_volatile_region_create" },
	{ 0x3b1adf47, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd737ac03, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb2976394, "nvdimm_to_bus" },
	{ 0x86f30e07, "pv_ops" },
	{ 0x12391933, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb263dd41, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xb71e6dd5, "nd_cmd_in_size" },
	{ 0x6790ebd3, "mce_is_memory_error" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xc8e2a427, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9a284bf5, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x98780d29, "nvdimm_pmem_region_create" },
	{ 0x6bd509d5, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0xaafe32f6, "nvdimm_cmd_mask" },
	{ 0x5353c1b4, "acpi_bus_register_driver" },
	{ 0xad5ef6a1, "nvdimm_region_notify" },
	{ 0x689d79d0, "mce_usable_address" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc92e008d, "nd_region_provider_data" },
	{ 0x4301114c, "nvdimm_bus_add_badrange" },
	{ 0x2939e0b2, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xf8428580, "to_nvdimm" },
	{ 0xf2d7d87, "mce_unregister_decode_chain" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xb5584b2f, "__nvdimm_create" },
	{ 0xbafeb9a7, "to_nd_region" },
	{ 0xad00c2c5, "nvdimm_bus_check_dimm_count" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x914a936f, "acpi_dev_remove_notify_handler" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x1b074f, "mce_is_correctable" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xf86193b4, "kernfs_notify" },
	{ 0x992deb2f, "to_nvdimm_bus" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1d70ff2, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x195ad474, "acpi_dev_install_notify_handler" },
	{ 0x15f8539a, "to_nd_desc" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0xff8b6a44, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0x59c595ac, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x17b55a4c, "kernfs_find_and_get_ns" },
	{ 0x132a5207, "nvdimm_name" },
	{ 0xfb5aac14, "to_nvdimm_bus_dev" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "24F7176552F22D085E8AB97");

MODULE_INFO(suserelease, "SLFO-1.0");
