#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_sched_fault, 0x892ece69, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x6d0d2bef, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x0d55f65c, "");
SYMBOL_CRC(drm_sched_stop, 0xcbef03c1, "");
SYMBOL_CRC(drm_sched_start, 0xe5115071, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0xe443d441, "");
SYMBOL_CRC(drm_sched_job_init, 0xd545bbba, "");
SYMBOL_CRC(drm_sched_job_arm, 0x7a427d17, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0xb0a655f9, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x648b669f, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x5e06ba55, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0xc0d9ec60, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x3621685f, "");
SYMBOL_CRC(drm_sched_pick_best, 0xa91185a2, "");
SYMBOL_CRC(drm_sched_init, 0x53552b19, "");
SYMBOL_CRC(drm_sched_fini, 0x20f0804e, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x162e0c91, "");
SYMBOL_CRC(to_drm_sched_fence, 0xba6277c7, "");
SYMBOL_CRC(drm_sched_entity_init, 0xdfe06378, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x4c2286bd, "");
SYMBOL_CRC(drm_sched_entity_error, 0xabd8dae7, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x4605e00e, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xab369eb7, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xbf2a2767, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x13101854, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x115a90ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x7581071a, "bpf_trace_run2" },
	{ 0x62af2226, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8564ac49, "__wake_up" },
	{ 0xc2441005, "dma_fence_add_callback" },
	{ 0xf49c909e, "dma_fence_set_deadline" },
	{ 0x738f9770, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x37e5f646, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xedfab644, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xa4169260, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b1bae82, "wake_up_process" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x418057f1, "dma_resv_iter_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x22d155cf, "dma_fence_remove_callback" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xa848363e, "drm_dev_printk" },
	{ 0x881246cf, "kthread_unpark" },
	{ 0x4ff5f8d7, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14b432d3, "xa_load" },
	{ 0x114e3b03, "dma_fence_signal" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0x285f5e1e, "dma_fence_init" },
	{ 0x288c2b04, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e0c68ea, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x27e72633, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaa3b5a6e, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa3f0e5ec, "dma_resv_iter_first" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x60a55b14, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf387fa56, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x953b9e79, "finish_wait" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6005846FD92D9CBA915C21F");

MODULE_INFO(suserelease, "SLFO-1.0");
