#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x868fc31d, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x3bc0ef61, "");
SYMBOL_CRC(ath11k_core_resume_early, 0x8263471e, "");
SYMBOL_CRC(ath11k_core_resume, 0x34e7f890, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xf08f2bcc, "");
SYMBOL_CRC(ath11k_core_pm_notifier_unregister, 0x02f0226a, "");
SYMBOL_CRC(ath11k_core_init, 0x4622835a, "");
SYMBOL_CRC(ath11k_core_deinit, 0x4561a0d5, "");
SYMBOL_CRC(ath11k_core_free, 0xffa8b664, "");
SYMBOL_CRC(ath11k_core_alloc, 0x44d8c35a, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x16ad30b9, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x887d3229, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xd98084e5, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xf72da3e2, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x47293c57, "");
SYMBOL_CRC(ath11k_info, 0x1682447f, "");
SYMBOL_CRC(ath11k_err, 0xb8a3fd2b, "");
SYMBOL_CRC(ath11k_warn, 0x988c2928, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x47f1c889, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x6b89610c, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xf93f9f51, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xb69eb17d, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x14474ffc, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x86653081, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xea9ada61, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xdfa88739, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x8e528b7c, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x5c0004aa, "");
SYMBOL_CRC(ath11k_pcic_read, 0x2bf33b29, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xba602936, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xe746ccd6, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xc94dd800, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x3fc90325, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x81f34d7d, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xb5f09125, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xb5b3442e, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x796156ef, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x6ac7ca68, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xa28690a1, "");
SYMBOL_CRC(ath11k_pcic_start, 0x11bc03f6, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x4322e570, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xa80145cc, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x5c96d77b, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0xb64119f1, "");
SYMBOL_CRC(ath11k_fw_destroy, 0xc0be2370, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5d6109, "qmi_txn_init" },
	{ 0x41f219fb, "ieee80211_report_low_ack" },
	{ 0xe11c7596, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5f46dacf, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x2ee6f29d, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xce7d97ec, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x7e0c68ea, "__init_waitqueue_head" },
	{ 0x54c0ef05, "ieee80211_beacon_free_ema_list" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x992662ed, "rhashtable_destroy" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa386517f, "ieee80211_ready_on_channel" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9adb57e8, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0x8b6a64c2, "idr_for_each" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xde189ad6, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x78960bf0, "ieee80211_scan_completed" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x55b8b454, "ieee80211_color_change_finish" },
	{ 0xb3a7efcd, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa55fe9b4, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0xcab363d6, "regulatory_set_wiphy_regd" },
	{ 0x23b69375, "cfg80211_chandef_dfs_cac_time" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x8338d32e, "ieee80211_beacon_get_template_ema_list" },
	{ 0xa5078d70, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xcd3733ad, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x94d56c1, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xad3fb4fb, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x63c5c9c8, "ieee80211_gtk_rekey_notify" },
	{ 0x6b61b6, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x6ce3e241, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x8aa5710c, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xea26175e, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1208e334, "_ieee80211_beacon_update_cntdwn" },
	{ 0xb89613fd, "idr_find" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0x2cdafbca, "qmi_handle_init" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8127752, "device_get_mac_address" },
	{ 0x9de01328, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x953b9e79, "finish_wait" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xd602b41d, "ieee80211_iterate_stations_atomic" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x34d1a400, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xcf4a01c8, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x643336d7, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x371d50a4, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0xf91a80c7, "thermal_cooling_device_register" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0x4380b0b0, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0x62af2226, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8564ac49, "__wake_up" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0xf1f1fbea, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa54fcbd3, "ieee80211_find_sta" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xb43b8c9c, "qmi_send_request" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x58b5b66, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa918c95a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x85c36cb3, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x81deafdf, "cfg80211_put_bss" },
	{ 0x7108d077, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd38f6320, "qmi_txn_wait" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x3e641c8, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0xc0952916, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x818b7764, "__skb_get_hash" },
	{ 0x6684685b, "_dev_err" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd7e6a7f, "qmi_txn_cancel" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4bc6e0f1, "ieee80211_find_sta_by_ifaddr" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8026852b, "ieee80211_remain_on_channel_expired" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x3ef89043, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "607261C014BC93827427875");

MODULE_INFO(suserelease, "SLFO-1.0");
