#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fat_search_long, 0xa419ef4f, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xb1b011a6, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x59bdb284, "_gpl");
SYMBOL_CRC(fat_scan, 0x32cf2c8f, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xae66b5f9, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x26f0592f, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xee039122, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xcb53f509, "_gpl");
SYMBOL_CRC(fat_getattr, 0xff68285a, "_gpl");
SYMBOL_CRC(fat_setattr, 0x2fd3342f, "_gpl");
SYMBOL_CRC(fat_attach, 0xee367e98, "_gpl");
SYMBOL_CRC(fat_detach, 0x52ea5fc8, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xda041c30, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x43131484, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xa44fafbb, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x172059b4, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xa3ab6ef0, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x7dd12054, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x31368db8, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xea3591c9, "_gpl");
SYMBOL_CRC(fat_update_time, 0x86627b25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf780bfef, "load_nls" },
	{ 0x2d98f8fc, "generic_cont_expand_simple" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0x457e7820, "truncate_inode_pages_final" },
	{ 0x3fa9a917, "generic_file_mmap" },
	{ 0xa79fd7f2, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe49a0147, "ilookup" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xe4b5030f, "invalidate_inode_buffers" },
	{ 0xb96a14e3, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc04ad8f, "mnt_drop_write_file" },
	{ 0x35c8940e, "inode_init_once" },
	{ 0xf89efce, "compat_ptr_ioctl" },
	{ 0xeacd7150, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa770b1cf, "__brelse" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x65c1160b, "generic_file_read_iter" },
	{ 0x15c81974, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe5a984b8, "truncate_pagecache" },
	{ 0xad6da604, "sync_dirty_buffer" },
	{ 0x466ac40c, "setattr_copy" },
	{ 0x50610a3a, "__wait_on_buffer" },
	{ 0xc33d9e2d, "set_nlink" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1d422c7a, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x7aff6c, "from_vfsgid" },
	{ 0x32fd8bba, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc169c7c0, "d_obtain_alias" },
	{ 0x1d58a57b, "__bread_gfp" },
	{ 0xf58dfadb, "block_dirty_folio" },
	{ 0x7cfd1b9e, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xd53bd57b, "__insert_inode_hash" },
	{ 0xbb0e4a33, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe154284f, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x6c90bd89, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x90f24229, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf86be9ba, "igrab" },
	{ 0xd8305c94, "__getblk_gfp" },
	{ 0x1b506598, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x74c4cd2d, "mpage_readahead" },
	{ 0xa681bb4b, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x78c8009d, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xe2e3992, "blkdev_issue_flush" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xd8c62561, "generic_fh_to_parent" },
	{ 0x77f06384, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0x5b7ccb3d, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x91b7e65a, "kmem_cache_alloc_lru" },
	{ 0xd746387c, "__mark_inode_dirty" },
	{ 0x93798a19, "generic_file_llseek" },
	{ 0x2dfdc6c4, "unload_nls" },
	{ 0xbf320c7e, "up_read" },
	{ 0xa843deee, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xc2e03c28, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x60a55b14, "kmem_cache_destroy" },
	{ 0x9b678fd5, "blkdev_issue_discard" },
	{ 0x6ce2385b, "filemap_fdatawrite" },
	{ 0xb788eaaa, "generic_fillattr" },
	{ 0x6a434c1f, "setattr_prepare" },
	{ 0xea770583, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x75dbf6fc, "sync_blockdev_nowait" },
	{ 0x89327270, "make_vfsgid" },
	{ 0xf34f2d66, "blk_start_plug" },
	{ 0x5b7518a2, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78a05d58, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x5fee83d6, "new_inode" },
	{ 0x90467aa7, "mark_buffer_dirty" },
	{ 0xa5b75289, "security_inode_setattr" },
	{ 0xd40f2256, "__find_get_block" },
	{ 0x84fc0803, "filemap_fdatawrite_range" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x6ca8de97, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xfc267560, "__blockdev_direct_IO" },
	{ 0x620a54fd, "d_make_root" },
	{ 0xd34af991, "__bforget" },
	{ 0xa5dfe64b, "sb_set_blocksize" },
	{ 0xc855bdab, "block_truncate_page" },
	{ 0xa54f7031, "write_dirty_buffer" },
	{ 0xd0570fa4, "sync_filesystem" },
	{ 0x930517f4, "fsnotify" },
	{ 0xded52f72, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48dcc43f, "from_vfsuid" },
	{ 0x9e53e7be, "inode_dio_wait" },
	{ 0x77677715, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x35f674f, "cont_write_begin" },
	{ 0x7dff1a62, "iput" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x598dc9b7, "iter_file_splice_write" },
	{ 0x5ee2201f, "generic_file_write_iter" },
	{ 0x738f9770, "kmem_cache_create" },
	{ 0x9b104128, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44a248fe, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc7d3f2b9, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x6409d945, "block_invalidate_folio" },
	{ 0x62b42676, "__breadahead" },
	{ 0x10d61d24, "generic_write_end" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E02AF8387D093A97BCA8842");

MODULE_INFO(suserelease, "SLFO-1.0");
