#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fscache_addremove_sem, 0x1da5b5dd, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x6e175390, "");
SYMBOL_CRC(fscache_acquire_cache, 0xfd7a125c, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xee841f7b, "");
SYMBOL_CRC(fscache_add_cache, 0xb24f8818, "");
SYMBOL_CRC(fscache_io_error, 0x5806e682, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xf1b0f5f4, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x1221175a, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x1f3bbfeb, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x31139477, "");
SYMBOL_CRC(fscache_caching_failed, 0x0c2f99e4, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xa1767f2a, "");
SYMBOL_CRC(__fscache_use_cookie, 0x8cbfd5bf, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xecff4d22, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xeec6f44c, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xbea43ee4, "");
SYMBOL_CRC(fscache_put_cookie, 0x252029b4, "");
SYMBOL_CRC(fscache_get_cookie, 0x8728cffc, "");
SYMBOL_CRC(__fscache_invalidate, 0x1f72f402, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x7ac4cdd3, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xe0b5eab6, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x89983952, "");
SYMBOL_CRC(fscache_dirty_folio, 0x7cb609a0, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x69dec950, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xe9106e94, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x9ba9b793, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xb7d707c8, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x7703c2bf, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xd0b672b2, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x1e1742e8, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0xf83369ea, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x35cd3873, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x7fd13b61, "");
SYMBOL_CRC(fscache_end_volume_access, 0x7c8245ce, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x01d9d7e3, "");
SYMBOL_CRC(fscache_put_volume, 0xe5f63c84, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xf54cd102, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x899d4e0a, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xa1dd6d86, "__var_waitqueue" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x5eaf153d, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x288c2b04, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xabc627e1, "folio_end_private_2" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6e4f32d7, "bpf_trace_run3" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x8ea5307d, "filemap_dirty_folio" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xfdab82b9, "iov_iter_xarray" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x28416145, "proc_create_single_data" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7229d64e, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x60a55b14, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb97381a2, "bpf_trace_run4" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x953b9e79, "finish_wait" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0x6ca4c47, "xas_find" },
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x4a42f27b, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7581071a, "bpf_trace_run2" },
	{ 0x62af2226, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xc0ab32b6, "remove_proc_subtree" },
	{ 0x738f9770, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "0BB1764C8989B6E07CB0901");

MODULE_INFO(suserelease, "SLFO-1.0");
