#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x3a10b760, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xc4b68a87, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xfde3071c, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xfaeeb7d2, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x331d7a9e, "");
SYMBOL_CRC(fuse_abort_conn, 0x66a9176c, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x41ccc676, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x4d616a95, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x3ff18077, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x3decb36b, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x15fc975b, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x1bf52577, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x05d7e88c, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x8d7a1015, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x956a541f, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xdd0e0152, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xd4c60670, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x74aee608, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xd61344d4, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x9beedf77, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x475dec26, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x377ce680, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xe3c08566, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x2b72f0d4, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x752fd7cc, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xa3d02f58, "");
SYMBOL_CRC(fuse_do_ioctl, 0x46765872, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xc1f493a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd6630b80, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x7eff5c93, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x35c8940e, "inode_init_once" },
	{ 0x84ae428c, "file_write_and_wait_range" },
	{ 0xf89efce, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb4a70005, "nosteal_pipe_buf_ops" },
	{ 0x3dc2afab, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x103744a5, "inode_nohighmem" },
	{ 0x7ce8ae7d, "release_pages" },
	{ 0x5084426b, "generic_file_direct_write" },
	{ 0x7c73b41e, "fput" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x65c1160b, "generic_file_read_iter" },
	{ 0x15c81974, "inode_maybe_inc_iversion" },
	{ 0x1d2e5dd3, "unlock_page" },
	{ 0xa2e4cba7, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe5a984b8, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd00d936a, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5e708c30, "dec_node_page_state" },
	{ 0x835449e0, "write_cache_pages" },
	{ 0x4f11e3bd, "file_update_time" },
	{ 0xc33d9e2d, "set_nlink" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xdaee2ef2, "from_kgid" },
	{ 0xeba18549, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9ec23923, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x32fd8bba, "write_inode_now" },
	{ 0xa41e8d35, "dax_writeback_mapping_range" },
	{ 0xc169c7c0, "d_obtain_alias" },
	{ 0xdb49617d, "file_modified" },
	{ 0xa82061ef, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5e3fed61, "finish_no_open" },
	{ 0x97a70b19, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xbf55a607, "kill_litter_super" },
	{ 0xb0b7cac, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xea509205, "from_kuid" },
	{ 0xd5056622, "current_in_userns" },
	{ 0xd0f1dad6, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xf5574fe1, "sysfs_remove_mount_point" },
	{ 0xb08ebea9, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7e0c68ea, "__init_waitqueue_head" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x57f0aeed, "d_delete" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe154284f, "from_kgid_munged" },
	{ 0xb37354df, "end_page_writeback" },
	{ 0x9402a1a, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3dbd2f4c, "kobject_create_and_add" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x11b9d044, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46e8fd22, "nonseekable_open" },
	{ 0xb6832209, "dax_finish_sync_fault" },
	{ 0xb68b064b, "set_page_dirty" },
	{ 0xb84cf799, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14a33612, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5d392750, "noop_direct_IO" },
	{ 0xf86be9ba, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1b506598, "generic_read_dir" },
	{ 0xee8d4952, "d_add" },
	{ 0x2cb2e453, "set_page_writeback" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0x231c7ee, "d_find_alias" },
	{ 0xfa4c3ba4, "invalidate_inode_pages2" },
	{ 0x55a88614, "alloc_pages" },
	{ 0x82e94a12, "inc_nlink" },
	{ 0xfe9efd97, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b9827f2, "get_tree_bdev" },
	{ 0x619e709c, "set_anon_super_fc" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xa159d47f, "dput" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5ae1a96e, "generic_delete_inode" },
	{ 0x8c00bfb6, "deactivate_locked_super" },
	{ 0xe736ba6e, "touch_atime" },
	{ 0x4ac73c10, "__percpu_down_read" },
	{ 0x762c760d, "__d_lookup_unhash_wake" },
	{ 0x1c32a694, "set_page_dirty_lock" },
	{ 0xe6756a9b, "pid_nr_ns" },
	{ 0x5f15e97f, "generic_file_open" },
	{ 0x44db26ab, "truncate_inode_pages_range" },
	{ 0xe3a8705f, "__put_user_ns" },
	{ 0xc5b780af, "__folio_lock" },
	{ 0x8ea5307d, "filemap_dirty_folio" },
	{ 0x382d6633, "pagecache_get_page" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xf13ee43c, "stream_open" },
	{ 0x7a0b6152, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe99ef6d2, "__wake_up_sync" },
	{ 0x85c07150, "add_to_pipe" },
	{ 0xa3966109, "__fs_parse" },
	{ 0xb5fdde64, "dax_layout_busy_page_range" },
	{ 0x77f06384, "filemap_splice_read" },
	{ 0xef8bea31, "posix_acl_to_xattr" },
	{ 0xb1f1f8a8, "dget_parent" },
	{ 0xd9ad5b7d, "kill_anon_super" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xbdb6e5a2, "iget5_locked" },
	{ 0x8a689454, "security_dentry_init_security" },
	{ 0xaca05489, "filemap_write_and_wait_range" },
	{ 0xdaef47aa, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x6ee7be38, "generic_write_checks" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0xc34afa1f, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe5cf33f, "mntget" },
	{ 0x91b7e65a, "kmem_cache_alloc_lru" },
	{ 0x87297005, "filemap_fault" },
	{ 0xf12bcc2e, "d_invalidate" },
	{ 0xd746387c, "__mark_inode_dirty" },
	{ 0x93798a19, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xa00288e4, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xf7da6f68, "drop_nlink" },
	{ 0x614f6be3, "fault_in_iov_iter_readable" },
	{ 0xaf23bb50, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x3ed7479b, "bdi_set_max_ratio" },
	{ 0x60a55b14, "kmem_cache_destroy" },
	{ 0x28e901b1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x6f377c95, "super_setup_bdi_name" },
	{ 0x5e4d5bf, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x98df9d2d, "truncate_inode_pages" },
	{ 0x3abd227e, "generic_copy_file_range" },
	{ 0x3ffe54c3, "noop_backing_dev_info" },
	{ 0x7424dfd1, "pipe_lock" },
	{ 0xb788eaaa, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xef9acdf9, "vfs_fsync_range" },
	{ 0x6a434c1f, "setattr_prepare" },
	{ 0x88cad64a, "clear_nlink" },
	{ 0xc199769, "file_check_and_advance_wb_err" },
	{ 0x1f63ebaa, "d_alloc_parallel" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xbf967f25, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0x89327270, "make_vfsgid" },
	{ 0x5b7518a2, "clear_inode" },
	{ 0xe4b22086, "inode_to_bdi" },
	{ 0x8aefccd2, "find_pid_ns" },
	{ 0xbe2d1ca, "grab_cache_page_write_begin" },
	{ 0x6a624cd2, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x817d0e9a, "pipe_unlock" },
	{ 0x32ab4e22, "fs_param_is_string" },
	{ 0x495a562c, "folio_unlock" },
	{ 0x5fee83d6, "new_inode" },
	{ 0x84dbc6ff, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0x44b690c9, "dump_page" },
	{ 0xef72df12, "forget_all_cached_acls" },
	{ 0x893d35ac, "init_special_inode" },
	{ 0x9a9a3797, "unregister_filesystem" },
	{ 0xb4d38921, "task_active_pid_ns" },
	{ 0x857746fa, "iov_iter_single_seg_count" },
	{ 0xdc92dea4, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x84fc0803, "filemap_fdatawrite_range" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x953b9e79, "finish_wait" },
	{ 0x93cfaed4, "d_alloc_name" },
	{ 0x731a5f0c, "replace_page_cache_folio" },
	{ 0x2155df82, "inode_query_iversion" },
	{ 0xd55ecd56, "iov_iter_advance" },
	{ 0x6a4d080e, "kill_fasync" },
	{ 0x620a54fd, "d_make_root" },
	{ 0xa5dfe64b, "sb_set_blocksize" },
	{ 0x33c06938, "fget" },
	{ 0x2230fdab, "simple_fill_super" },
	{ 0x6ca4c47, "xas_find" },
	{ 0xd0570fa4, "sync_filesystem" },
	{ 0x82f2e9a0, "noop_dirty_folio" },
	{ 0x300379ee, "sget_fc" },
	{ 0xea4f564f, "param_set_uint" },
	{ 0x3e07e90d, "d_splice_alias" },
	{ 0x150c95c2, "iov_iter_get_pages2" },
	{ 0xded52f72, "current_time" },
	{ 0xbed53159, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd687dfc8, "page_get_link" },
	{ 0x14bca1e9, "generic_permission" },
	{ 0xdde83954, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb803318, "invalidate_inode_pages2_range" },
	{ 0x601a930f, "posix_lock_file" },
	{ 0x486c1c37, "finish_open" },
	{ 0x3eee01b4, "dax_iomap_rw" },
	{ 0x7dff1a62, "iput" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x6e9c311f, "logfc" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x598dc9b7, "iter_file_splice_write" },
	{ 0x62af2226, "prepare_to_wait_event" },
	{ 0xcf4f35ed, "init_pid_ns" },
	{ 0xcd5fb60e, "dax_iomap_fault" },
	{ 0x8445c324, "iov_iter_init" },
	{ 0x7b9d1de7, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x31db0eb1, "sysfs_create_mount_point" },
	{ 0x5ee2201f, "generic_file_write_iter" },
	{ 0x8564ac49, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc174155b, "register_filesystem" },
	{ 0x738f9770, "kmem_cache_create" },
	{ 0x196b5734, "folio_add_lru" },
	{ 0x4a7d621f, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9b104128, "sync_inode_metadata" },
	{ 0x9a38eecc, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x715a6a57, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x74592536, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2fc83856, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xe88c15b7, "get_tree_nodev" },
	{ 0x3187eb0f, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe45331c5, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf0823d20, "fs_param_is_u32" },
	{ 0xa71d6088, "inode_newsize_ok" },
	{ 0x908b49ba, "d_drop" },
	{ 0x73f02ca8, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x2557b6c5, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf211ea34, "bdi_put" },
	{ 0xa9e93240, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xe097ec36, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0x457e7820, "truncate_inode_pages_final" },
	{ 0x7fb5aaff, "fs_kobj" },
	{ 0xae515fad, "__filemap_set_wb_err" },
	{ 0xfa1ce652, "simple_dir_operations" },
	{ 0x3fa9a917, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x49420857, "__free_pages" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xb1b4ecb4, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x34bee86, "setattr_should_drop_suidgid" },
	{ 0xa1fd80c4, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa1dd6d86, "__var_waitqueue" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70DCB6A1292B37026556F4F");

MODULE_INFO(suserelease, "SLFO-1.0");
