#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x83438c00, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x75d9fcd1, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x52968023, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x9fdab792, "");
SYMBOL_CRC(p9_is_proto_dotl, 0xc642d477, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x356f417f, "");
SYMBOL_CRC(p9_show_client_options, 0x00b4eb19, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x0308852b, "");
SYMBOL_CRC(p9_req_put, 0x85039150, "");
SYMBOL_CRC(p9_client_cb, 0x31bd4e81, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x9022ad8e, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x46f54756, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x8ff3094e, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x73bcbad5, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xf27c0ec4, "");
SYMBOL_CRC(p9_client_create, 0xa005a6ae, "");
SYMBOL_CRC(p9_client_destroy, 0xfdf8450c, "");
SYMBOL_CRC(p9_client_disconnect, 0x0173027a, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x0fb4dd87, "");
SYMBOL_CRC(p9_client_attach, 0xb8301310, "");
SYMBOL_CRC(p9_client_walk, 0xeac957c7, "");
SYMBOL_CRC(p9_client_open, 0x2c50dfa5, "");
SYMBOL_CRC(p9_client_create_dotl, 0x469b591a, "");
SYMBOL_CRC(p9_client_fcreate, 0x7dd93e62, "");
SYMBOL_CRC(p9_client_symlink, 0x9a9e7d69, "");
SYMBOL_CRC(p9_client_link, 0x51a0c462, "");
SYMBOL_CRC(p9_client_fsync, 0x137cb9a2, "");
SYMBOL_CRC(p9_client_clunk, 0xf7850025, "");
SYMBOL_CRC(p9_client_remove, 0x3cc14b4e, "");
SYMBOL_CRC(p9_client_unlinkat, 0x844025b3, "");
SYMBOL_CRC(p9_client_read, 0x4b85eb4a, "");
SYMBOL_CRC(p9_client_read_once, 0xc94f6d8e, "");
SYMBOL_CRC(p9_client_write, 0x3394361b, "");
SYMBOL_CRC(p9_client_stat, 0xe808ef72, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xd9f8bc76, "");
SYMBOL_CRC(p9_client_wstat, 0x5892d621, "");
SYMBOL_CRC(p9_client_setattr, 0xd0a66ad7, "");
SYMBOL_CRC(p9_client_statfs, 0x815b24c4, "");
SYMBOL_CRC(p9_client_rename, 0x19931512, "");
SYMBOL_CRC(p9_client_renameat, 0x2f6178e8, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x8fceeac2, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x13a48d10, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x29497daf, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xb5ad48cb, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x3b5c992a, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x0a3bf586, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x1c08dc49, "");
SYMBOL_CRC(p9_client_readlink, 0xd6187ab2, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0xd17f522a, "");
SYMBOL_CRC(p9dirent_read, 0x700405a4, "");
SYMBOL_CRC(p9_release_pages, 0xff76b160, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x7581071a, "bpf_trace_run2" },
	{ 0x62af2226, "prepare_to_wait_event" },
	{ 0x8564ac49, "__wake_up" },
	{ 0x738f9770, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x7108d077, "idr_get_next" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xb8438d1e, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0xe42c81b1, "kmem_cache_create_usercopy" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xdaee2ef2, "from_kgid" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xea509205, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e0c68ea, "__init_waitqueue_head" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6e4f32d7, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xfe9efd97, "__folio_put" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x60a55b14, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa23a8c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0xb97381a2, "bpf_trace_run4" },
	{ 0xb89613fd, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc1448a0a, "idr_alloc_u32" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x953b9e79, "finish_wait" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "812C4875CAAED15FCD916CD");

MODULE_INFO(suserelease, "SLFO-1.0");
