#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_fw_transaction, 0xb71e0c50, "");
SYMBOL_CRC(fw_iso_resources_init, 0xc36390a9, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xbb0d0819, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xecf23717, "");
SYMBOL_CRC(fw_iso_resources_update, 0x410abe64, "");
SYMBOL_CRC(fw_iso_resources_free, 0xd0c33f52, "");
SYMBOL_CRC(iso_packets_buffer_init, 0xd6ff08a5, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0xac367f07, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x3f76b4e7, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x17589e7e, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x27e463fa, "");
SYMBOL_CRC(fcp_avc_transaction, 0x9d26d333, "");
SYMBOL_CRC(fcp_bus_reset, 0x77e22c62, "");
SYMBOL_CRC(cmp_connection_init, 0xa081e5b2, "");
SYMBOL_CRC(cmp_connection_check_used, 0x56d72a58, "");
SYMBOL_CRC(cmp_connection_destroy, 0x8a96007d, "");
SYMBOL_CRC(cmp_connection_reserve, 0x69f32847, "");
SYMBOL_CRC(cmp_connection_release, 0xe7d54c0c, "");
SYMBOL_CRC(cmp_connection_establish, 0xa7a8bb60, "");
SYMBOL_CRC(cmp_connection_update, 0xc0c11b45, "");
SYMBOL_CRC(cmp_connection_break, 0xba5263b6, "");
SYMBOL_CRC(amdtp_stream_init, 0x53dbed56, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x997fe2e0, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x7daaecc1, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x5cb453f8, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x53816a5c, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x1c7c4697, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x509f5311, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xcd17efec, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x3d144db6, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x67e6a7f6, "");
SYMBOL_CRC(amdtp_domain_init, 0xd5da4cba, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x37ca35f1, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x46e13326, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0xa6bbfd94, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x8c25f4a7, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0xc6872fad, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0xf019c782, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x28519295, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x70619ca8, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xabbe2be7, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x08158b30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe6b49763, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x87f919d8, "fw_core_remove_address_handler" },
	{ 0x62af2226, "prepare_to_wait_event" },
	{ 0x3b289e3c, "fw_iso_context_stop" },
	{ 0x8564ac49, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27dc4abf, "fw_core_add_address_handler" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x980d98ae, "snd_pcm_hw_rule_add" },
	{ 0xa8401055, "fw_iso_context_queue" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xe8a52cef, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x452e4db3, "fw_iso_buffer_destroy" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd2b2b3ab, "fw_iso_resource_manage" },
	{ 0x5a8af4f6, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e0c68ea, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x522f299b, "fw_iso_context_start" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5787d688, "snd_pcm_stop_xrun" },
	{ 0x1567ea60, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6941f3a2, "snd_pcm_period_elapsed" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0xdbc97e37, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x47f07806, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xf83512ea, "fw_run_transaction" },
	{ 0x4bdf8cfc, "snd_rawmidi_receive" },
	{ 0x567a0d88, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5674652d, "snd_rawmidi_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x953b9e79, "finish_wait" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0xc8672763, "snd_pcm_hw_constraint_minmax" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "7C93D8006085971F696EFA7");

MODULE_INFO(suserelease, "SLFO-1.0");
