#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xbe1cf3fc, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x68958fba, "");
SYMBOL_CRC(ib_cm_listen, 0x83785b62, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x48837e90, "");
SYMBOL_CRC(ib_send_cm_req, 0x29dc8cd9, "");
SYMBOL_CRC(ib_send_cm_rep, 0x983ee6f9, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xedfa9516, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xd87f2df8, "");
SYMBOL_CRC(ib_send_cm_drep, 0x974b137b, "");
SYMBOL_CRC(ib_send_cm_rej, 0xf6ae266e, "");
SYMBOL_CRC(ib_send_cm_mra, 0x763a51d6, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x54235a0c, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x1a9234ca, "");
SYMBOL_CRC(ib_cm_notify, 0x04f8cd08, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xb588e5f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xb9394978, "ib_register_client" },
	{ 0x933482df, "ib_unregister_mad_agent" },
	{ 0x26502464, "ib_post_send_mad" },
	{ 0x13740511, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0x94395df4, "rdma_destroy_ah_attr" },
	{ 0xb8d2e8a0, "ib_set_client_data" },
	{ 0x1a051da6, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14b432d3, "xa_load" },
	{ 0x938f56b9, "rdma_put_gid_attr" },
	{ 0xdb9d4328, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x288c2b04, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0f31bdd, "rdma_destroy_ah_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x43d054cc, "ib_free_send_mad" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xeb5520ee, "ib_port_unregister_client_groups" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x6e4f32d7, "bpf_trace_run3" },
	{ 0xc4d06e87, "rdma_move_ah_attr" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0x6bb1efce, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaa3b5a6e, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x4573d58c, "ib_free_recv_mad" },
	{ 0x878109b, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0xac0ed663, "ib_modify_mad" },
	{ 0x89209f12, "ib_create_ah_from_wc" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x80150da8, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e997756, "ib_init_ah_attr_from_path" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c5575d9, "rdma_query_gid" },
	{ 0x897759c1, "ib_port_register_client_groups" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9ac06507, "ib_modify_port" },
	{ 0x7581071a, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0xa5132320, "rdma_create_ah" },
	{ 0x489afd96, "ib_init_ah_attr_from_wc" },
	{ 0xe043ef2f, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "30CF6010C707FCC19E12DE6");

MODULE_INFO(suserelease, "SLFO-1.0");
