#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x3d9bcf12, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x96a14ef5, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xc7730d15, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xd3f88b9a, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x3ede9a10, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x4cadfc44, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x63c632b9, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xd11fb149, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xc34a5277, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x7e0f8205, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x8a4f8074, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xa8fc70ca, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xec8a0e67, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xabd1abda, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xf220041e, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x6316db45, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xf7648951, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x534a18c7, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xd6996d68, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xce3e3eba, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x2f0d0907, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x4b64b425, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x240f8716, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0x5bdebb0a, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xdfbad61f, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xfbb27413, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x7063e576, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x8b88759d, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x16414dbc, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xb1846cdc, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x25f76b18, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xc8119693, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x02ff1a40, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xbce982b3, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x5155d8e5, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xbfa23e78, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb0075a25, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xbbf93252, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xae18af9a, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xa6ebc576, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x9fc94092, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x9a307e85, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x9aec1937, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xf557f9cf, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x0556bdea, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xf3a453be, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x336c2676, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x47128025, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xf7fa48ec, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xfb80197b, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x74078f16, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x599f1b34, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x4019f3c8, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xf10ec240, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x96bbe6d9, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x3cc56212, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x7dbca257, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x76e668aa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x12731ac7, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x5c31d1d8, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x4978fa1f, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x10b19eba, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xa3073e31, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x21f097e9, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x08610fec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fff947b, "_dev_info" },
	{ 0xa57cb99d, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb8438d1e, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0xed6d6ea5, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf89efce, "compat_ptr_ioctl" },
	{ 0x6b52a4d2, "t10_pi_type3_crc" },
	{ 0x51479900, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x73e662f0, "blk_mq_quiesce_tagset" },
	{ 0x405ce011, "kobject_uevent_env" },
	{ 0x7273a59e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x96c11032, "init_srcu_struct" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0xf3886db8, "__SCK__tp_func_block_bio_remap" },
	{ 0x6684685b, "_dev_err" },
	{ 0xb5f508b3, "blk_revalidate_disk_zones" },
	{ 0x1abe0dbb, "debugfs_create_bool" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb3f0248b, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x396bd2ce, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0x554a6c06, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x664f0ebe, "__srcu_read_lock" },
	{ 0x2690f373, "hwmon_device_register_with_info" },
	{ 0x88632a4f, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5ead52e8, "submit_bio_noacct" },
	{ 0x14b432d3, "xa_load" },
	{ 0x61d6bedf, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x7eb30066, "blk_sync_queue" },
	{ 0x635a8b8e, "bdev_start_io_acct" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9c0b5e5f, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe09b848, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x83302061, "blk_mq_alloc_request" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd355e275, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5505c46c, "del_gendisk" },
	{ 0x5346bb72, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1f7e509, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x1221c05d, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x8babef, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x5f13f294, "blk_put_queue" },
	{ 0x288c2b04, "bpf_trace_run1" },
	{ 0xc6465c4c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x11294c6, "blk_mq_wait_quiesce_done" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0x2de43acc, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x7e0c68ea, "__init_waitqueue_head" },
	{ 0xe4843907, "io_uring_cmd_do_in_task_lazy" },
	{ 0xaa7be18d, "blk_mq_init_queue" },
	{ 0xdc9d3a24, "debugfs_create_x16" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa085d905, "io_uring_cmd_done" },
	{ 0x5b90bb7, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf75861f3, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x6e4f32d7, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1023d279, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc1b9f5bd, "blk_mq_complete_request" },
	{ 0xf05cef3d, "blk_queue_chunk_sectors" },
	{ 0xc8957785, "blk_queue_max_write_zeroes_sectors" },
	{ 0x3ff568f3, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x51b06e5, "blk_mq_destroy_queue" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0xf5e3da9, "blk_freeze_queue_start" },
	{ 0x53a56d0e, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x27e72633, "xa_find" },
	{ 0x55a88614, "alloc_pages" },
	{ 0xa920b5f1, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa36ecd6a, "__tracepoint_block_bio_complete" },
	{ 0xaa3b5a6e, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfb4e00df, "blk_queue_io_min" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x59db8c53, "__srcu_read_unlock" },
	{ 0x42c35125, "hwmon_device_unregister" },
	{ 0x21ddfef, "__tracepoint_block_bio_remap" },
	{ 0xad48b885, "blk_mq_unfreeze_queue" },
	{ 0x50bea1a6, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xb4445d06, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x88cf43b5, "blk_rq_map_user_iov" },
	{ 0xf2b4a837, "setup_fault_attr" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0xb07f223, "blk_queue_max_hw_sectors" },
	{ 0x5fad0190, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa443a390, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0xaac802f3, "blk_mq_freeze_queue_wait" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x7b41f9a4, "nvme_auth_gen_privkey" },
	{ 0x9ec4ef95, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xb0852bdb, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb963b9c1, "blk_mq_requeue_request" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf1984ed7, "bdev_end_io_acct" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xb323133d, "blk_steal_bios" },
	{ 0x60a55b14, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x24f2c241, "set_capacity_and_notify" },
	{ 0x7d2f252f, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd0cac485, "set_disk_ro" },
	{ 0x953ac041, "__blk_alloc_disk" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x2f9a5d9c, "blk_integrity_register" },
	{ 0xa23a8c4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x511edadf, "bio_integrity_map_user" },
	{ 0xbf048203, "ida_destroy" },
	{ 0xf029d5a9, "device_remove_file_self" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x2939e0b2, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xebfa7c89, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x13e324d8, "ext_pi_type3_crc64" },
	{ 0x789968b0, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xf0e222e4, "disk_update_readahead" },
	{ 0x6f2a49f1, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xb13ddc1b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x135bc05, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x953b9e79, "finish_wait" },
	{ 0x243c374f, "class_destroy" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xf89129f3, "should_fail" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x4604380d, "blk_mq_unquiesce_queue" },
	{ 0x269a05d9, "t10_pi_type1_crc" },
	{ 0xacc1fed, "blk_queue_dma_alignment" },
	{ 0xfff051d4, "blk_mq_quiesce_queue" },
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0x51c623a5, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x79a64a15, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5b318e2c, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7581071a, "bpf_trace_run2" },
	{ 0x62af2226, "prepare_to_wait_event" },
	{ 0x454b4e10, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8564ac49, "__wake_up" },
	{ 0xe2a9c685, "synchronize_srcu" },
	{ 0x417bf729, "param_ops_byte" },
	{ 0x738f9770, "kmem_cache_create" },
	{ 0x81142b3e, "get_device" },
	{ 0x4eae56c7, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2c17d6a8, "__blk_mq_alloc_disk" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x9336cc0, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8101c70f, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c953274, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc5d614dc, "blk_mq_alloc_tag_set" },
	{ 0x7a78d2db, "blk_rq_is_poll" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc2a413e, "mempool_create" },
	{ 0x1576cf09, "put_disk" },
	{ 0x59598ee0, "crypto_alloc_kpp" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0xb94e0431, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3ac511a, "blk_queue_physical_block_size" },
	{ 0x3c0ee141, "blk_execute_rq" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x17727cae, "blk_mq_unquiesce_tagset" },
	{ 0x2fe3e798, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x662fe336, "kmalloc_node_trace" },
	{ 0x6182f97f, "blk_queue_flag_set" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7171d549, "blk_mq_free_request" },
	{ 0x35c332dd, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x49420857, "__free_pages" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,t10-pi");


MODULE_INFO(srcversion, "D138FF77E4CF3754DBBCCB4");

MODULE_INFO(suserelease, "SLFO-1.0");
