#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ufshcd_dump_regs, 0xd30c3b60, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x0bc5d595, "");
SYMBOL_CRC(ufshcd_hold, 0x575ac27e, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x123154cd, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x02149fca, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x99fdc59c, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xe7748482, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xbcf77599, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x249d168f, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xa1c9f7d7, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xd1e0ef46, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x218c2d6b, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x809a8c26, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x5599cb04, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x9eec723c, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x5dda4021, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x5658e493, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x9a1a8339, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x646b0ad3, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x18939fec, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x05d151d0, "");
SYMBOL_CRC(ufshcd_system_resume, 0x4440303f, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x8536122d, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xc66406aa, "");
SYMBOL_CRC(ufshcd_shutdown, 0x63067860, "");
SYMBOL_CRC(ufshcd_remove, 0xa9279208, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x82f730e4, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x8a64ea45, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x09c0857b, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0xf30b62fc, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x82515ae4, "");
SYMBOL_CRC(ufshcd_init, 0xf38a5cf5, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xa6b7fa37, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xb06a4ffe, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xdb1a3744, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x1e9f1147, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_nolock, 0x0554d2fe, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x18d16d04, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xa5b097f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x642f175c, "scsi_dma_map" },
	{ 0x6ea11ed8, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7377732, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3ff320fa, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb97381a2, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xe6e24153, "bsg_setup_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x5256ee21, "scsi_autopm_put_device" },
	{ 0x7048dea4, "scsi_device_get" },
	{ 0x9d8895a2, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xee86bf7a, "bsg_remove_queue" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x7139aee3, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0xef3993be, "scsi_remove_host" },
	{ 0x767e3b21, "blk_rq_append_bio" },
	{ 0xbf03bda9, "param_get_bool" },
	{ 0x1700dfd7, "bpf_trace_run6" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x71b0174d, "blk_pm_runtime_init" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0x1a5ee96d, "scsi_report_bus_reset" },
	{ 0xade82fbc, "sysfs_remove_groups" },
	{ 0x1dce2e52, "hwmon_notify_event" },
	{ 0xbfc97bdc, "up" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x6451474c, "sysfs_create_groups" },
	{ 0x1d1e421e, "dev_pm_opp_add" },
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x73d200af, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7581071a, "bpf_trace_run2" },
	{ 0x891caaf6, "__scsi_iterate_devices" },
	{ 0x738f9770, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x81142b3e, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x9336cc0, "mempool_free" },
	{ 0xd910273e, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc5d614dc, "blk_mq_alloc_tag_set" },
	{ 0xd9e4e62c, "scsi_device_set_state" },
	{ 0xc2fc0a4, "devfreq_add_device" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc2a413e, "mempool_create" },
	{ 0x2e62a14b, "scsi_register_driver" },
	{ 0xfec993f0, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe097ec36, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0x7171d549, "blk_mq_free_request" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x59999dd3, "devm_regulator_get" },
	{ 0x49420857, "__free_pages" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x63b1198b, "scsi_device_put" },
	{ 0xc5f20298, "device_create_file" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xa7a191d9, "bio_put" },
	{ 0x54accf73, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0x191e6698, "down_write" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0xbdfb9495, "blk_queue_update_dma_alignment" },
	{ 0xcfe5c5d7, "devfreq_remove_device" },
	{ 0xf92f2c19, "scsi_host_put" },
	{ 0x8f607373, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdae21cd1, "mempool_resize" },
	{ 0xb3f0248b, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x554a6c06, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0x2690f373, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32a460e8, "down" },
	{ 0x5eaf153d, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x991781cd, "dev_pm_opp_remove" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x2200fdab, "sdev_prefix_printk" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xabe5893, "scsi_scan_host" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0x8a4048c0, "device_link_remove" },
	{ 0x56ce0bdc, "param_set_bool" },
	{ 0x83302061, "blk_mq_alloc_request" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x2e777591, "blk_queue_update_dma_pad" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd355e275, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5f13f294, "blk_put_queue" },
	{ 0xc6465c4c, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x67f9386b, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3800224a, "regulator_count_voltages" },
	{ 0xf061e21, "scsi_is_host_device" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a41a6e9, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaa7be18d, "blk_mq_init_queue" },
	{ 0x26fa6ca8, "blk_mq_unique_tag" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x28169543, "bpf_trace_run10" },
	{ 0xb0564157, "scsi_device_quiesce" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x979d8d8d, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0xcd86c9ac, "scsi_print_command" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0x41e85c4e, "pm_runtime_forbid" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x4bd810b9, "param_set_uint_minmax" },
	{ 0x5e059893, "pm_runtime_allow" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xefd1bd13, "devfreq_suspend_device" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51b06e5, "blk_mq_destroy_queue" },
	{ 0x11becbbc, "scsi_execute_cmd" },
	{ 0x55a88614, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa920b5f1, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x376e56d3, "devm_blk_crypto_profile_init" },
	{ 0x42c35125, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x50bea1a6, "blk_mq_tagset_busy_iter" },
	{ 0xc3adf046, "scsi_done" },
	{ 0x7a8975a1, "single_release" },
	{ 0xcff10529, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x45172952, "regulator_disable" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x2b791122, "scsi_remove_device" },
	{ 0x1c784b33, "scsi_block_requests" },
	{ 0x8aa6934b, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x35c14bf, "single_open" },
	{ 0x82e762fe, "scsi_host_alloc" },
	{ 0x4a16ec3e, "__scsi_add_device" },
	{ 0xaa9b5732, "devfreq_resume_device" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x96925f31, "device_link_add" },
	{ 0xcde09ab0, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xaef698eb, "scsi_change_queue_depth" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0xe076c939, "fs_bio_set" },
	{ 0x60a55b14, "kmem_cache_destroy" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "2E4AEB7ED20455E59EFFB91");

MODULE_INFO(suserelease, "SLFO-1.0");
