#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x8f308d18, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x2cdac939, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x920ae9f5, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xb3040d8c, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xa72923fe, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x6239acf2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xa767545d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xc20cabf4, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x9a8f9b5c, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x727dc53f, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xa36c46d6, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x0e35b071, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xe1da1edc, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x672a2fd8, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x23628043, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x0861728e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x48360630, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x731ed3c1, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x3f4c2c42, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x732ce4e6, "_gpl");
SYMBOL_CRC(__l2tp_session_set_header_len, 0x2722dc88, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xeeafc4b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67b0e84d, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xca460d42, "trace_event_buffer_reserve" },
	{ 0x7098175f, "trace_event_buffer_commit" },
	{ 0x21d2f8a0, "__trace_trigger_soft_disabled" },
	{ 0xa8bbdafa, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x55484c1c, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x288c2b04, "bpf_trace_run1" },
	{ 0x7581071a, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0xa72d793a, "ip_icmp_error" },
	{ 0x286060ea, "ipv6_icmp_error" },
	{ 0xd6bb5dd7, "sock_create_kern" },
	{ 0x4fc366b3, "kernel_bind" },
	{ 0x2ee6f29d, "kernel_connect" },
	{ 0x7a6fdd28, "udp_sock_create6" },
	{ 0xec7501e7, "kernel_sock_shutdown" },
	{ 0x1baea936, "sock_release" },
	{ 0x8b076956, "udp_sock_create4" },
	{ 0x5e2b4625, "kmalloc_caches" },
	{ 0xa496ef33, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xb89613fd, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d5f2eaf, "idr_get_next_ul" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe13a73bd, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xc1448a0a, "idr_alloc_u32" },
	{ 0xc15894d1, "sockfd_lookup" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xa46cd430, "idr_replace" },
	{ 0x7c73b41e, "fput" },
	{ 0x49fa2e9, "setup_udp_tunnel_sock" },
	{ 0x9d1306b0, "udp_set_csum" },
	{ 0x6979cc2a, "ip_queue_xmit" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x608d0855, "udp6_set_csum" },
	{ 0x7142c69e, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x87a6748a, "trace_event_reg" },
	{ 0x59cf0cb, "trace_event_raw_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "931A58A432DB4A9559BC00A");

MODULE_INFO(suserelease, "SLFO-1.0");
